crypto - Added Paranoia File & Text Encryption. Thanks JJS!

This commit is contained in:
thetechprepper
2026-03-27 11:56:26 -07:00
parent a16657a003
commit e2621b5435
4 changed files with 39 additions and 3 deletions
+27
View File
@@ -0,0 +1,27 @@
#!/bin/bash
# Author : Gaston Gonzalez
# Date : 27 March 2026
# Purpose : Install Paranoia File & Text Encryption
set -e
trap 'last_command=$current_command; current_command=$BASH_COMMAND' DEBUG
trap 'et-log "\"${last_command}\" command failed with exit code $?."' ERR
. ./env.sh
. ../overlay/opt/emcomm-tools/bin/et-common
APP=pfte
VERSION=15.0.8-1
DOWNLOAD_FILE="${APP}_${VERSION}_amd64.deb"
et-log "Installing ${APP} ${VERSION}..."
if [[ ! -e ${ET_DIST_DIR}/${DOWNLOAD_FILE} ]]; then
URL="https://paranoiaworks.mobi/download/files/${DOWNLOAD_FILE}"
download_with_retries ${URL} ${DOWNLOAD_FILE}
mv ${DOWNLOAD_FILE} ${ET_DIST_DIR}
fi
DEBIAN_FRONTEND=noninteractive dpkg -i "${ET_DIST_DIR}/${DOWNLOAD_FILE}"
+2 -1
View File
@@ -2,7 +2,7 @@
#
# Author : Gaston Gonzalez
# Date : 16 March 2024
# Updated : 22 March 2026
# Updated : 27 March 2026
# Purpose : Main installer for EmComm Tools Community (ETC)
. ./env.sh
@@ -102,6 +102,7 @@ exitIfNotRoot
# Install security tools
./install-gpa.sh
./install-pfte.sh
# Install ISO tools
./install-ventoy.sh